BlitzReels
BlitzReelsDocumentation
API Reference
GET
/workspace/stock-media/search

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Query Parameters

query*string
Length1 <= length <= 160
asset_type*string

Value in

  • "image"
  • "video"
  • "audio"
provider?|null
orientation?|null
page?integer
Range1 <= value <= 9007199254740991
limit?integer
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspace/stock-media/search?query=string&asset_type=image"
{  "items": [    {      "provider": "pexels",      "provider_asset_id": "string",      "asset_type": "image",      "title": "string",      "preview_url": "string",      "thumbnail_url": "string",      "source_url": "string",      "author_name": "string",      "author_url": "string",      "license_code": "string",      "license_url": "string",      "requires_attribution": true,      "width": 0,      "height": 0,      "duration_seconds": 0,      "variants": [        {          "id": "string",          "label": "string",          "url": "string",          "mime_type": "string",          "width": 0,          "height": 0,          "quality": "string"        }      ]    }  ],  "warnings": [    "string"  ]}